/*
 *  DXStrings.h
 *  DefEcs
 *
 *  Created by ttomek on 06-07-30.
 *  Copyright 2006 hipercom.pl. All rights reserved.
 *
 */

#define DXmsgInvalidDomain NSLocalizedString(@"-Invalid-", @"Symbol or name of invalid domain entry")
#define DXmsgNumberOfSubitems NSLocalizedString(@"%d sub-items", @"The number of sub-items in a dictionary or an array")
#define DXmsgUnknownItem NSLocalizedString(@"-Unknown-", @"The name of a key which is invalid (its parent is unknown)")
#define DXmsgArrayItemNumber NSLocalizedString(@"Item #%d", @"The item with its number, as appears in an array view")
#define DXmsgErrorLoadingNib NSLocalizedString(@"Cannot access application file: %@. The distribution is incomplete.",@"Appears when unable to load a Nib file.")
#define DXmsgErrorTitle NSLocalizedString(@"Error",@"Error panel title")
#define DXmsgOKButton NSLocalizedString(@"OK",@"Message on an OK button")
#define DXmsgCancelButton NSLocalizedString(@"Cancel",@"Message on a Cancel button")
#define DXmsgForbiddenTitle NSLocalizedString(@"Forbidden",@"Title shown in a 'Forbidden' message box")
#define DXmsgCannotChangeKeyType NSLocalizedString(@"Changing the type of a key while editing is not allowed. You need to remove the key and add a new one with desired type.",@"Shown when the user tries to change a key type in edit mode")
#define DXmsgEmptyDomainTitle NSLocalizedString(@"Empty domain name",@"Title of sheet shown when user is trying to add a domain with no name")
#define DXmsgEmptyDomainMessage NSLocalizedString(@"It is not possible to add a domain with empty name. Please enter a valid domain name.", @"A message appearing when the user is trying to add a domain with no name")
#define DXmsgExistingDomainTitle NSLocalizedString(@"Domain exists",@"Shown when the user tries to add a domain which already exists")
#define DXmsgExistingDomainMessage NSLocalizedString(@"The domain %@ already exists. Please use a different domain name.",@"Shown when the user tries to add a domain which already exists")
#define DXmsgDeleteDomainTitle NSLocalizedString(@"About to delete a domain", @"Shown when the user wishes to delete a whole domain")
#define DXmsgDeleteDomainMessage NSLocalizedString(@"The domain %@ is about to be permanently deleted. Do you confirm?", @"Shown when the user wishes to delete a whole domain")
#define DXmsgYesButton NSLocalizedString(@"Yes", @"The label of a Yes button")
#define DXmsgNoButton NSLocalizedString(@"No", @"The label of a No button")
#define DXmsgEmptyKeyTitle NSLocalizedString(@"Empty key name", @"Shown when the user tries to add a key to a dictionary with empty name")
#define DXmsgEmptyKeyMessage NSLocalizedString(@"The key name cannot be empty in the current dictionary context. Please enter a valid key name.", @"Shown when the user tries to add a key to a dictionary with empty name")
#define DXmsgNewKeyName NSLocalizedString(@"new key", @"The name of a new key, if the key is added to a dictionary")
#define DXmsgDeleteKeyTitle NSLocalizedString(@"About to delete a key", @"Dialog title shown when thethe user user wants to delete a key")
#define DXmsgDeleteKeyMessage NSLocalizedString(@"The currently selected key is about to be deleted. Do you confirm?", @"Message shown when the user wants to delete a key")
#define DXmsgKeyTypeString NSLocalizedString(@"String", @"The name of NSCFString key type")
#define DXmsgKeyTypeBoolean NSLocalizedString(@"Boolean", @"The name of NSCFBoolean key type")
#define DXmsgKeyTypeNumber NSLocalizedString(@"Number", @"The name of NSCFNumber key type")
#define DXmsgKeyTypeDate NSLocalizedString(@"Date", @"The name of NSCFCalendarDate key type")
#define DXmsgKeyTypeData NSLocalizedString(@"Binary", @"The name of NSCFData key type")
#define DXmsgKeyTypeArray NSLocalizedString(@"Array", @"The name of NSCFArray key type")
#define DXmsgKeyTypeDictionary NSLocalizedString(@"Dictionary", @"The name of NSCFDictionary key type")
#define DXmsgExistingKeyTitle NSLocalizedString(@"Key exists", @"Title of a dialog shown when the user adds a key to a dictionary with a name already existsing in this dictionary")
#define DXmsgExistingKeyMessage NSLocalizedString(@"The name %@ already exists in the current dictionary context. Please use a different key name.", @"Message in a dialog shown when the user adds a key to a dictionary with a name already existsing in this dictionary")
#define DXmsgReloadDomainTitle NSLocalizedString(@"About to reload a domain", @"Title of a dialog shown when the user wants to reload a changed domain")
#define DXmsgReloadDomainMessage NSLocalizedString(@"You have requested to reload domain contents from the system defaults. All changes made to this domain will be lost. Do you confirm?", @"Message shown when the user wants to reload a changed domain")
#define DXmsgReloadDomainsTitle NSLocalizedString(@"About to reload all domains", @"Title of a dialog shown when the user wants to reload all domains")
#define DXmsgReloadDomainsMessage NSLocalizedString(@"You have requested to reload all domains from the system defaults. All changes made to any domains will be lost. Do you confirm?", @"Message shown when the user wants to reload all domains")
#define DXmsgNewDomainAction NSLocalizedString(@"New domain", @"The name of the new domain action, as appears in Undo")
#define DXmsgDeleteDomainAction NSLocalizedString(@"Delete domain", @"The name of the delete domain action, as appears in Undo")
#define DXmsgNewKeyAction NSLocalizedString(@"New key", @"The name of the new key action, as appears in Undo")
#define DXmsgDeleteKeyAction NSLocalizedString(@"Delete key", @"The name of the delete key action, as appears in Undo")
#define DXmsgEditKeyAction NSLocalizedString(@"Edit key", @"The name of the edit key action, as appears in Undo")

#define DXmsgVersion NSLocalizedString(@"Version 1.0", @"The version number (and the word -version- itself), as displayed in About panel")
#define DXmsgCopyright NSLocalizedString(@"Copyright %C 2006 hipercom.pl\nAll rights reserved.",@"The copyright string. In two lines please")

#define DXmsgSavePanelTitle NSLocalizedString(@"Export domains", @"Title of the save panel (1)")
#define DXmsgSavePanelPrompt NSLocalizedString(@"Export", @"The title of the default button in a save panel (1)")
#define DXmsgSavePanelFieldLabel NSLocalizedString(@"Export as", @"The label on a save panel (1)")
#define DXmsgSaveErrorTitle NSLocalizedString(@"Export error", @"The title of the error message when export to file fails")
#define DXmsgSaveErrorMessage NSLocalizedString(@"The export operation failed. Please make sure you have sufficient permissions to the directory %@ and that you haven't run out of disk space. Then try again.", @"Error message when export to file fails")

#define DXmsgOpenPanelTitle NSLocalizedString(@"Import domains", @"Title of the open panel (1)")
#define DXmsgOpenPanelPrompt NSLocalizedString(@"Import", @"The title of the default button in an open panel (1)")
#define DXmsgOpenPanelFieldLabel NSLocalizedString(@"Import from", @"The label on an open panel (1)")
#define DXmsgOpenErrorTitle NSLocalizedString(@"Import error", @"The title of the error message when import from file fails")
#define DXmsgOpenErrorMessage NSLocalizedString(@"The import operation failed. Please make sure you have sufficient permissions to the file %@ and that the file is in proper format. Then try again.", @"Error message when import from file fails")

#define DXmsgSavingEmptyDomainTitle NSLocalizedString(@"Empty domain", @"The title of the alert panel when the user attempts to save an empty domain (2)")
#define DXmsgSavingEmptyDomainMessage NSLocalizedString(@"You are about to save an empty domain: %@. The defaults database does not accept domains with no keys. The domain will not be saved.", @"Message in an alert panel when the user saves an empty domain (2)")
#define DXmsgSavingEmptyDomainsMessage NSLocalizedString(@"There are some domains which are empty (contain no keys). The defaults database does not accept empty domains. Empty domains will not be saved.", @"Message in an alert panel when user saves all domains and some are empty (3)")

#define DXmsgYES NSLocalizedString(@"YES", @"The name of YES boolean value")
#define DXmsgNO NSLocalizedString(@"NO", @"The name of NO boolean value")

#define DXmsgQuitTitle NSLocalizedString(@"About to quit DefEcs", @"The title of the quit dialog (4)")
#define DXmsgQuitMessage NSLocalizedString(@"There are some unsaved changes. If you quit now, all changes will be lost. Do you wish to quit anyway?", @"Message on the quit dialog (4)")
#define DXmsgSaveAndQuit NSLocalizedString(@"Save and Quit", @"The label on the save and quit button (4)")
#define DXmsgDontSave NSLocalizedString(@"Don't Save", @"The label on the Don't save button (4)")
#define DXmsgDontQuit NSLocalizedString(@"Don't Quit", @"The label on the Don't quit button (4)")

#define DXmsgDefEcsURL NSLocalizedString(@"http://www.hipercom.pl/en/defecs.html", @"DefEcs home page (5)")